Search found 1623 matches

Go to advanced search

by paullee
Mon Sep 16, 2019 2:37 pm
Forum: Draft, Arch & BIM
Topic: How to subtract a window sill?
Replies: 4
Views: 87

Re: How to subtract a window sill?

A few idea, haven't tested...

1. Use ArchWindow tool to draw the sill (as panel?)
2. Put the extrusion in an ArchWindow object

Then, in ArchWindow object select the Wall object as host.
by paullee
Sun Sep 15, 2019 12:01 pm
Forum: Python scripting and macros
Topic: [ Solved ] Normal of a Sketch - Calculate Normal from Placement ?
Replies: 5
Views: 144

Re: Normal of a Sketch - Calculate Normal from Placement ?

Quite simple when you know. :lol: 'Attachment' properties in PartDesign are directly injected in 'Placement', thus changing them makes no difference as it doesn't rely in a LCS. ;) To demonstrate, you have to use a 'container' that has an LCS, such as Body in the below example (also works with Part...
by paullee
Sun Sep 15, 2019 2:17 am
Forum: Python scripting and macros
Topic: [ Solved ] Normal of a Sketch - Calculate Normal from Placement ?
Replies: 5
Views: 144

Re: Normal of a Sketch - Calculate Normal from Placement ?

Thanks both for the solutions! If normal vector in the GCS is needed, just change to : normal = sketch.getGlobalPlacement().Rotation.multVec(FreeCAD.Vector(0,0,1)) Do some exercise, haven't figured out the difference between sketch.Placement and sketch.getGlobalPlacement() :- Make 2 Sketches (1st re...
by paullee
Sat Sep 14, 2019 7:30 pm
Forum: Python scripting and macros
Topic: [ Solved ] Normal of a Sketch - Calculate Normal from Placement ?
Replies: 5
Views: 144

[ Solved ] Normal of a Sketch - Calculate Normal from Placement ?

Hi, it seems i am not familiar / confused by those geometrical terms. Assume a Sketch map on XY plane (regardless of its content) has a Normal (0,0,1) correct? (Map on XZ plane has a Normal (0,-1,0) ) Try to 'calculate' this Normal, (from the sketch's placement?), searching googling but find no prev...
by paullee
Thu Sep 12, 2019 5:30 pm
Forum: 中文论坛 / 中文論壇(简体 / 繁體)
Topic: freecad 0.18 受力分析视频教程FEM工作台-小柱子讲师
Replies: 3
Views: 230

Re: freecad 0.18 受力分析视频教程FEM工作台-小柱子讲师

leeon wrote:
Wed Sep 11, 2019 3:07 am

看来国外要看国内的网站也要翻墙。 :D 你直接上一下国内说的B站,看能不能上。如果能上,请搜一下视频名称,看能不能看到。
B站:https://www.bilibili.com
噢! 能看了,原來是我的Firefox 沒有 Flash ! 用Chrome 可以了!

做得不錯呀!
Screenshot from 2019-09-13 01-25-00.png
Screenshot from 2019-09-13 01-25-00.png (297.11 KiB) Viewed 54 times
by paullee
Tue Sep 10, 2019 4:49 pm
Forum: Draft, Arch & BIM
Topic: Freecad finally scratched that itch I had for so long.
Replies: 8
Views: 531

Re: Freecad finally scratched that itch I had for so long.

Yes, this is impressive!

A tutorial on how to do this would be appreciated :D
by paullee
Thu Sep 05, 2019 11:34 pm
Forum: Draft, Arch & BIM
Topic: ArchSketch + ArchWall ( Multiple Width ) = Building Layout Object
Replies: 8
Views: 312

Re: ArchSketch + ArchWall ( Multiple Width ) = Building Layout Object

That's interesting, some preliminary thoughts not having study how codes in Pipe works :) Maybe a series of offsetFigures for each points / turns of pipes so that the fall in the pipe runs can be produced. ( or a fall gradient for each segment of pipe run, start/end of run can be indicated...etc. ) ...
by paullee
Thu Sep 05, 2019 1:18 pm
Forum: Draft, Arch & BIM
Topic: ArchSketch + ArchWall - - - Support Align for Individual Wall Segment
Replies: 5
Views: 270

Re: ArchSketch + ArchWall - - - Support Align for Individual Wall Segment

I think now it is my system, driver or something, also just download Peek, click record cursor, still nothing.

Thanks all.
by paullee
Thu Sep 05, 2019 1:14 pm
Forum: Help on using FreeCAD
Topic: How to verify the direction of sketch lines?
Replies: 28
Views: 679

Re: How to verify the direction of sketch lines?

Roy_043 wrote:
Thu Sep 05, 2019 7:15 am
@paullee
Thanks for the link I'll try to study it later this week.

paullee wrote:
Wed Sep 04, 2019 5:52 pm
What do you do to achieve afterall?
Not sure what you mean here. Please explain.
Just curious what are you after studying this - just to know how to draw in sketch to get a resulted as expected right ?

Go to advanced search